#!/usr/bin/env python3

'''KHMedia applications.
Includes scheduled recorder, music player, sound level meter and a webcam viewer
'''

from distutils.core import setup
from distutils.extension import Extension
from glob import glob

# patch distutils if it's too old to cope with the "classifiers" or
# "download_url" keywords
from sys import version
if version < '2.2.3':
    from distutils.dist import DistributionMetadata
    DistributionMetadata.classifiers = None
    DistributionMetadata.download_url = None

if __name__ == '__main__':
    setup(
        name = 'mediaserver',
        version = "4.2.2",
        description = 'Mediacore mediaserver',
        long_description = __doc__,
        author = 'Miqra Engineering',
        author_email='packaging@miqra.nl',
        maintainer = 'Miqra Engineering Packaging',
        maintainer_email = 'packaging@miqra.nl',
        license='',
        platforms=['posix'],
        url='',
        classifiers = [
            'Development Status :: 5 - Production/Stable',
            'Intended Audience :: End Users/Desktop',
            'Operating System :: POSIX :: Linux',
            'Programming Language :: Python :: 2',
            'Topic :: Multimedia :: Sound/Audio',
            'Topic :: Multimedia :: Sound/Audio :: Players',
            ],
        packages=['mediaserver'],
        package_data={'mediaserver': ['images/*', ]},
        data_files = [
            ('/usr/share/mediaserver', glob('usr-share-mediaserver/*')),
            ('/etc/dbus-1/system.d', glob('etc/dbus-1/system.d/*')),
            ('/lib/systemd/system', glob('lib/systemd/system/*')),
            ('bin', glob('bin/*')),
            ('sbin', glob('sbin/*')),
            ],
    )
